Texa Desk Application API · Contacts
Contact Conversations
GET/
Get conversations associated with that contact
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the contact
idnumberrequiredID of the contact
Responses
200Success
payloadarray of objectList of conversations for the contact
payload[].idnumberID of the conversation
payload[].messagesarray of objectpayload[].messages[].idnumberThe ID of the message
payload[].messages[].contentstringThe text content of the message
payload[].messages[].account_idnumberThe ID of the account
payload[].messages[].inbox_idnumberThe ID of the inbox
payload[].messages[].conversation_idnumberThe ID of the conversation
payload[].messages[].message_typeintegerThe type of the message One of: 0, 1, 2, 3.
payload[].messages[].created_atintegerThe time at which message was created
payload[].messages[].updated_atinteger or stringThe time at which message was updated
payload[].messages[].privatebooleanThe flags which shows whether the message is private or not
payload[].messages[].statusstringThe status of the message One of: sent, delivered, read, failed.
payload[].messages[].source_idstringThe source ID of the message
payload[].messages[].content_typestringThe type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.
payload[].messages[].content_attributesobjectThe content attributes for each content_type
payload[].messages[].sender_typestringThe type of the sender One of: Contact, User, AgentBot.
payload[].messages[].sender_idnumberThe ID of the sender
payload[].messages[].external_source_idsobjectThe external source IDs of the message
payload[].messages[].additional_attributesobjectThe additional attributes of the message
payload[].messages[].processed_message_contentstringThe processed message content
payload[].messages[].sentimentobjectThe sentiment of the message
payload[].messages[].conversationobjectThe conversation object
payload[].messages[].attachmentobjectThe file object attached to the image
payload[].messages[].senderobjectUser/Agent/AgentBot object
payload[].account_idnumberAccount Id
payload[].uuidstringUUID of the conversation
payload[].additional_attributesobjectThe object containing additional attributes related to the conversation
payload[].agent_last_seen_atnumberThe last activity at of the agent
payload[].assignee_last_seen_atnumberThe last activity at of the assignee
payload[].can_replybooleanWhether the conversation can be replied to
payload[].contact_last_seen_atnumberThe last activity at of the contact
payload[].custom_attributesobjectThe object to save custom attributes for conversation, accepts custom attributes key and value
payload[].inbox_idnumberID of the inbox
payload[].labelsarray of stringThe labels of the conversation
payload[].mutedbooleanWhether the conversation is muted
payload[].snoozed_untilnumberThe time at which the conversation will be unmuted
payload[].statusstringThe status of the conversation One of: open, resolved, pending.
payload[].created_atnumberThe time at which conversation was created
payload[].updated_atnumberThe time at which conversation was updated
payload[].timestampnumberThe time at which conversation was created
payload[].first_reply_created_atnumberThe time at which the first reply was created
payload[].unread_countnumberThe number of unread messages
payload[].last_non_activity_messageobject or nullThe last non activity message
payload[].last_activity_atnumberThe last activity at of the conversation
payload[].prioritystringThe priority of the conversation
payload[].waiting_sincenumberThe time at which the conversation was waiting
payload[].sla_policy_idnumberThe ID of the SLA policy
payload[].applied_slaobjectThe applied SLA
payload[].sla_eventsarray of objectpayload[].metaobjectpayload[].meta.senderobjectpayload[].meta.channelstringChannel Type
payload[].meta.assigneeobjectpayload[].meta.hmac_verifiedbooleanWhether the hmac is verified
404Contact not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring